package com.maintain.business.service;

import com.maintain.business.domain.ErpMaterialReturnsInfo;
import com.maintain.business.domain.vo.ErpMaterialReturnsInfoVo;
import com.maintain.business.domain.bo.ErpMaterialReturnsInfoBo;
import com.maintain.common.core.page.TableDataInfo;
import com.maintain.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 物料退货明细Service接口
 *
 * @author liushuai
 * @date 2025-04-07
 */
public interface IErpMaterialReturnsInfoService {

    /**
     * 查询物料退货明细
     */
    ErpMaterialReturnsInfoVo queryById(Long id);

    /**
     * 查询物料退货明细列表
     */
    TableDataInfo<ErpMaterialReturnsInfoVo> queryPageList(ErpMaterialReturnsInfoBo bo, PageQuery pageQuery);

    /**
     * 查询物料退货明细列表
     */
    List<ErpMaterialReturnsInfoVo> queryList(ErpMaterialReturnsInfoBo bo);

    /**
     * 新增物料退货明细
     */
    Boolean insertByBo(ErpMaterialReturnsInfoBo bo);

    /**
     * 修改物料退货明细
     */
    Boolean updateByBo(ErpMaterialReturnsInfoBo bo);

    /**
     * 校验并批量删除物料退货明细信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
